<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::utils::logger::test::TestLogger Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">utils</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html">logger</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_test_logger.html">TestLogger</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_test_logger-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::utils::logger::test::TestLogger Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::avsCommon::utils::logger::test::TestLogger:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_test_logger__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_test_logger_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_test_logger_inherit__map" id="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_test_logger_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html" title="alexaClientSDK::avsCommon\l::utils::logger::Logger" alt="" coords="5,5,202,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::avsCommon::utils::logger::test::TestLogger:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_test_logger__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_test_logger_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_test_logger_coll__map" id="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_test_logger_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html" title="alexaClientSDK::avsCommon\l::utils::logger::Logger" alt="" coords="5,5,202,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a61695e50f9baaa41a1fbc3c5b1f087ea"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_test_logger.html#a61695e50f9baaa41a1fbc3c5b1f087ea">TestLogger</a> ()</td></tr>
<tr class="separator:a61695e50f9baaa41a1fbc3c5b1f087ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae512c14a8af949c0e923c7a2da22a5ff"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_test_logger.html#ae512c14a8af949c0e923c7a2da22a5ff">emit</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a> level, std::chrono::system_clock::time_point time, const char *threadMoniker, const char *text) override</td></tr>
<tr class="separator:ae512c14a8af949c0e923c7a2da22a5ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html">alexaClientSDK::avsCommon::utils::logger::Logger</a></td></tr>
<tr class="memitem:a9f02eef5dfa02b94b18cd3374af35d30 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#a9f02eef5dfa02b94b18cd3374af35d30">Logger</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a> level)</td></tr>
<tr class="separator:a9f02eef5dfa02b94b18cd3374af35d30 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb6d8d42e0cbe754142ab5ab65be6b5d inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#adb6d8d42e0cbe754142ab5ab65be6b5d">~Logger</a> ()=default</td></tr>
<tr class="memdesc:adb6d8d42e0cbe754142ab5ab65be6b5d inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#adb6d8d42e0cbe754142ab5ab65be6b5d">More...</a><br /></td></tr>
<tr class="separator:adb6d8d42e0cbe754142ab5ab65be6b5d inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a699ea99ab6966d8d5eacfda188d9f0b1 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#a699ea99ab6966d8d5eacfda188d9f0b1">setLevel</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a> level)</td></tr>
<tr class="separator:a699ea99ab6966d8d5eacfda188d9f0b1 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb82e33aef7ee1d8bcd666f2a2802d38 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#acb82e33aef7ee1d8bcd666f2a2802d38">shouldLog</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a> level) const</td></tr>
<tr class="separator:acb82e33aef7ee1d8bcd666f2a2802d38 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d7e1465f794a77389fbbaa2fc908037 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#a7d7e1465f794a77389fbbaa2fc908037">log</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a> level, const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;entry)</td></tr>
<tr class="separator:a7d7e1465f794a77389fbbaa2fc908037 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72f95ccea556c6c00c5c058ed10a24f9 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#a72f95ccea556c6c00c5c058ed10a24f9">logAtExit</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a> level, const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;entry)</td></tr>
<tr class="separator:a72f95ccea556c6c00c5c058ed10a24f9 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7944e2205b5a60d6d94489b89bc0f2a9 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#a7944e2205b5a60d6d94489b89bc0f2a9">addLogLevelObserver</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_level_observer_interface.html">LogLevelObserverInterface</a> *observer)</td></tr>
<tr class="separator:a7944e2205b5a60d6d94489b89bc0f2a9 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1040a28f336e76b058ca2f53eafbd232 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#a1040a28f336e76b058ca2f53eafbd232">removeLogLevelObserver</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_level_observer_interface.html">LogLevelObserverInterface</a> *observer)</td></tr>
<tr class="separator:a1040a28f336e76b058ca2f53eafbd232 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html">alexaClientSDK::avsCommon::utils::logger::Logger</a></td></tr>
<tr class="memitem:aef95512e19fc4a1dc40c0fc9ab06f9d2 inherit pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#aef95512e19fc4a1dc40c0fc9ab06f9d2">init</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1_configuration_node.html">configuration::ConfigurationNode</a> configuration)</td></tr>
<tr class="separator:aef95512e19fc4a1dc40c0fc9ab06f9d2 inherit pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html">alexaClientSDK::avsCommon::utils::logger::Logger</a></td></tr>
<tr class="memitem:a2e05116b4d883e4f2760c9b7266a99cb inherit pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memItemLeft" align="right" valign="top">std::atomic&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#a2e05116b4d883e4f2760c9b7266a99cb">m_level</a></td></tr>
<tr class="memdesc:a2e05116b4d883e4f2760c9b7266a99cb inherit pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="mdescLeft">&#160;</td><td class="mdescRight">The lowest severity level of logs to be output by this <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html">Logger</a>.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#a2e05116b4d883e4f2760c9b7266a99cb">More...</a><br /></td></tr>
<tr class="separator:a2e05116b4d883e4f2760c9b7266a99cb inherit pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">The log sink that will receive logs from the <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_module_logger.html">ModuleLogger</a></code>. Just forwards logs to the current <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_mock_logger.html">MockLogger</a> (allowing he <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_mock_logger.html">MockLogger</a> to be destroyed ay the end of tests, and re-created by the next test). </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a61695e50f9baaa41a1fbc3c5b1f087ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61695e50f9baaa41a1fbc3c5b1f087ea">&#9670;&nbsp;</a></span>TestLogger()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TestLogger::TestLogger </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Constructor </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae512c14a8af949c0e923c7a2da22a5ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae512c14a8af949c0e923c7a2da22a5ff">&#9670;&nbsp;</a></span>emit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::logger::test::TestLogger::emit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a>&#160;</td>
          <td class="paramname"><em>level</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::chrono::system_clock::time_point&#160;</td>
          <td class="paramname"><em>time</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>threadMoniker</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>text</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Emit a log entry. NOTE: This method must be thread-safe. NOTE: Delays in returning from this method may hold up calls to <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#a7d7e1465f794a77389fbbaa2fc908037">Logger::log()</a>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">level</td><td>The severity Level of this log line. </td></tr>
    <tr><td class="paramname">time</td><td>The time that the event to log occurred. </td></tr>
    <tr><td class="paramname">threadMoniker</td><td>Moniker of the thread that generated the event. </td></tr>
    <tr><td class="paramname">text</td><td>The text of the entry to log. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#aecb3d76c968a74025445ba63546098f3">alexaClientSDK::avsCommon::utils::logger::Logger</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/AVSCommon/Utils/test/<a class="el" href="_logger_test_8cpp.html">LoggerTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
